<?php

namespace catchAdmin\api\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use think\facade\Env;
use think\facade\Db;
use PDO;
use think\facade\Cache;

class Api extends CatchController
{

    /**
     * 列表
     * @time 2022年09月27日 10:06
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->apiModel->getList());
    }
    public function addAllStationToMysql() 
    {
        echo 11;
        $cond=[
            '_string'=>'a.DEVICE_CODE = r.DEVICE_CODE',
        ];
        $cond['page']=1;
        $cond['limit']=30000;
        $conn = null;
        $tableName='(SELECT * FROM DSSC.ADM_DEV  ORDER BY ID DESC) a,DSSC.ADM_DEV_RFID_CHN r';
        $field='a.ID,a.IS_ONLINE,a.LOGIN_NAME,a.DEVICE_CODE,a.DEVICE_NAME,a.OWNER_CODE,to_char(a.UPDATE_DATE,\'yyyy-mm-dd hh24:mi:ss\') UPDATE_DATE,r.GPS_X,r.GPS_Y';
        $host=    Env::get('oracle.hostname',  '127.0.0.1');
        $port=    Env::get('oracle.hostport',  '1521');
        $instance_name=    Env::get('oracle.instance',  'ORCL');
        $username=    Env::get('oracle.username',  'root');
        $password=    Env::get('oracle.password',  'root');
        // $conn = oci_connect('用户名', '密码', '远程数据库名(eg.//192.168.1.133/orcl)');
        $conn = oci_connect($username, $password, $host.':'.$port.'/'. $instance_name,'AL32UTF8');

        if (!$conn) {
            $e = oci_error();
            trigger_error(htmlentities($e['message'], ENT_QUOTES), E_USER_ERROR);
        }
        $start=($cond['page']-1)*$cond['limit'];
        $end=$cond['page']*$cond['limit'];
        $whereStr=buildQueryCond2($cond);
        $sql='SELECT * FROM ( SELECT '.$field.',ROWNUM RN FROM '.$tableName.' WHERE ROWNUM <='.$end.' '.$whereStr.'  ) WHERE RN >'. $start;

        $stid = oci_parse($conn, $sql);
        $r = oci_execute($stid);
       
        $save_data=[];
        while($row = oci_fetch_array($stid, OCI_ASSOC+OCI_RETURN_NULLS)) {
            var_dump($row);
            if($row['GPS_Y'] && $row['GPS_X']){
                // $wgsLoc = \algorithm\Geometry::wgsTOgcj((float)$row['GPS_Y'],(float)$row['GPS_X']);
                // $lngLat = \algorithm\Geometry::convertGcj02ToBd09($wgsLoc['lat'],$wgsLoc['lng']);
                // $row['GPS_X']=$lngLat['lng'];
                // $row['GPS_Y']=$lngLat['lat'];

                // $rows[]=$row;
                
                $item=array(
                    'mac'=>$row['LOGIN_NAME'],
                    'shortcode'=>$row['DEVICE_CODE'],
                    'name'=>$row['DEVICE_NAME'],
                    'longitude'=>$row['GPS_X'],
                    'latitude'=>$row['GPS_Y'],
                    'created_at'=>strtotime($row['UPDATE_DATE']),
                    'creator_id'=>$row['OWNER_CODE']
                );
                array_push($save_data,$item);
            }
            
            
        }
        
        
                    
        $success = Db::table('stations')->limit(1000)->insertAll($save_data);
        
        oci_free_statement($stid);

        return [];

    }

    public function addUsers(){
        $arr=[['qjga		','	Qjga123456'],
        ['qzckjj		','	qzckjj123456'],
        ['61395		','	123456'],
        ['tmcs		','	123456'],
        ['tm			','    123456'],
        ['tmcs1		','	123456'],
        ['60800		','	60800'],
        ['毛文超		','	61986'],
        ['余亮		','	60119'],
        ['李建粮		','	61809'],
        ['傅建华		','	61696'],
        ['何思煜		','	60544'],
        ['吴雁钧		','	60366'],
        ['周鑫		','	60479'],
        ['徐威		','	60515'],
        ['王柯		','	60397'],
        ['吴小玲		','	61877'],
        ['郑于		','	60327'],
        ['朱建顺		','	60432'],
        ['毛慧		','	60371'],
        ['姜勇俊		','	63126'],
        ['方云峰		','	61720'],
        ['祝建军		','	60283'],
        ['孙晨		','	60537'],
        ['柴凌勇		','	654321'],
        ['邵清平		','	61667'],
        ['毛兴全		','	60685'],
        ['姜志文		','	60106'],
        ['王斌		','	60379'],
        ['曾佳		','	60744'],
        ['项国洪		','	61803'],
        ['郑潇		','	60777'],
        ['汪昕		','	60754'],
        ['曹威		','	60767'],
        ['fanny		','	fanny123456'],
        ['郑楼		','	33061424'],
        ['张骏		','	61913'],
        ['杨琦		','	FJ3330'],
        ['池建良		','	61156'],
        ['余相泉		','	60214'],
        ['何鑫		','	60340'],
        ['王盈		','	61237'],
        ['李鹏飞		','	60459'],
        ['邓正发		','	63964'],
        ['郑喆威		','	15068903263'],
        ['admin		','    zawl210'],
        ['1			','    2'],
        ['yuxh		','	yxh19750309'],
        ['yuxiaowei	','	654321'],
        ['aaa			','    aaa'],
        ['qzsh		','	123456'],
        ['测试		','	123456'],
        ['舒建明		','	61640'],
        ['余有海		','	60115'],
        ['任红卫		','	60224'],
        ['阮大为		','	60286'],
        ['姜理晖		','	60321'],
        ['童建方		','	60394'],
        ['姜国强		','	60296'],
        ['王继军		','	61711'],
        ['方水平		','	61718'],
        ['魏四坑		','	61657'],
        ['郑明建		','	60303'],
        ['徐庆红		','	61714'],
        ['徐水国		','	60337'],
        ['揭红斌		','	60273'],
        ['吴昊		','	60365'],
        ['姜红兵		','	60260'],
        ['余洋		','	60363'],
        ['徐汇琅		','	60444'],
        ['李瑞堂		','	61776'],
        ['梅佳斌		','	60518'],
        ['江骥		','	60535'],
        ['胡康		','	60414'],
        ['琚超		','	60485'],
        ['朱肖丹		','	60429'],
        ['陈鸣		','	60389'],
        ['符哲帅		','	60528'],
        ['柴赟		','	60536'],
        ['何旭康		','	60538'],
        ['孔祥青		','	60450'],
        ['金山		','	60445'],
        ['王振东		','	60405'],
        ['王松富		','	60335'],
        ['王立峰		','	60446'],
        ['何超		','	61911'],
        ['彭行		','	60398'],
        ['姜振		','	60803'],
        ['王亚宏		','	33060708'],
        ['陈连宝		','	111111'],
        ['舒骏		','	33061416'],
        ['吴鹏		','	61966'],
        ['周益增		','	64094'],
        ['李明旭		','	FJ1093'],
        ['周锋琴		','	186874'],
        ['system		','	hdhxt0711'],
        ['JXS			','    1'],
        ['周小坤		','	zxk110'],
        ['ZXK			','    123456'],
        ['陈玮		','	60025'],
        ['吴祖兴		','	wzx110'],
        ['王晨		','	wc110'],
        ['吴丽伟		','	60400'],
        ['祝洁琼		','	60376'],
        ['汪凌飞		','	60406'],
        ['蔡轩		','	60505'],
        ['徐康生		','	60232'],
        ['莫一凡		','	60460'],
        ['曾红明		','	60413'],
        ['江红平		','	61816'],
        ['钱黎明		','	61705'],
        ['程银峰		','	60437'],
        ['秦永跃		','	60132'],
        ['琚芳麟		','	60264'],
        ['程斌		','	60252'],
        ['杨可萱		','	60539'],
        ['余永球		','	60399'],
        ['骆知君		','	61716'],
        ['周晓庆		','	60487'],
        ['张晟玮		','	60486'],
        ['王东		','	61190'],
        ['周青山		','	60251'],
        ['余凯		','	60531'],
        ['王健		','	60435'],
        ['徐鹰		','	60261'],
        ['刘毅宁		','	60523'],
        ['黄启振		','	123456'],
        ['王伟		','	60182'],
        ['曾凡		','	60438'],
        ['郭耿		','	60436'],
        ['郑瑜		','	61169'],
        ['何杰夫		','	60287'],
        ['胡建辉		','	60189'],
        ['徐国进		','	61904'],
        ['徐龙飞		','	60513'],
        ['周菊		','	62835'],
        ['毛俐俐		','	60075'],
        ['魏水生		','	61717'],
        ['叶霞		','	60516'],
        ['杨洋		','	60484'],
        ['姜建平		','	60277'],
        ['胡宏		','	60404'],
        ['张梦星		','	60533'],
        ['余锦峰		','	60439'],
        ['贾东明		','	61697'],
        ['孙骏		','	60447'],
        ['姜昕蓓		','	60540'],
        ['童建华		','	60387'],
        ['洪军		','	61713'],
        ['zzq			','    62031'],
        ['huaxy		','	111111'],
        ['jijy		','	111111'],
        ['zjg			','    zjg110'],
        ['徐臻斌		','	xcb110'],
        ['诸葛海峰	','	zghf110'],
        ['卢志强		','	lzq110'],
        ['蓝剑刚		','	60209'],
        ['苏日高		','	60382'],
        ['朱晓峰		','	60271'],
        ['余一晨		','	60395'],
        ['陈渊之		','	60333'],
        ['姚新华		','	61728'],
        ['严志庄		','	60304'],
        ['马德鸿		','	61721'],
        ['周圣陶		','	60131'],
        ['邱方明		','	61695'],
        ['江见明		','	61252'],
        ['章金		','	60172'],
        ['邱红卫		','	61707'],
        ['江宏		','	61832'],
        ['刘勇骏		','	60284'],
        ['王建忠		','	60202'],
        ['崔诗晗		','	60530'],
        ['朱瑜		','	60100'],
        ['周培荣		','	60482'],
        ['许灵		','	60274'],
        ['祝伟		','	60525'],
        ['留琦		','	60463'],
        ['艾国华		','	60402'],
        ['徐小健		','	60543'],
        ['周耀龙		','	60281'],
        ['符群益		','	61685'],
        ['姚秋雷		','	60437'],
        ['李琪		','	60455'],
        ['魏国锋		','	60508'],
        ['冯平		','	60524'],
        ['陈坤		','	60542'],
        ['余伟峰		','	60275'],
        ['李渭民		','	60176'],
        ['郑立平		','	60448'],
        ['徐恬		','	60541'],
        ['吕志真		','	61712'],
        ['徐雄伟		','	60270'],
        ['陈志宾		','	61238'],
        ['程科		','	61205'],
        ['戴桔晶		','	60417'],
        ['方俊		','	62494'],
        ['余向宏		','	60647'],
        ['方志敏		','	61798'],
        ['叶冬飞		','	60781'],
        ['汪莉剑		','	60770'],
        ['毛盾		','	60773'],
        ['曹骋		','	606750'],
        ['吴伟强		','	60173'],
        ['qjyx		','	123456'],
        ['ksga		','	123456'],
        ['qzga		','	123456'],
        ['hhs			','    123456'],
        ['陈卫民		','	123456'],
        ['周勋芳		','	60401'],
        ['钱荣水		','	60279'],
        ['程彩根		','	60336'],
        ['叶红		','	60073'],
        ['金红卫		','	61700'],
        ['周文		','	60427'],
        ['陈云峰		','	60198'],
        ['王湘涛		','	61170'],
        ['郑洪		','	60290'],
        ['汤亚亮		','	60282'],
        ['李庆虹		','	60285'],
        ['徐一萍		','	60300'],
        ['牛忠标		','	60130'],
        ['黄国心		','	61624'],
        ['杜越明		','	61729'],
        ['李俊		','	60388'],
        ['王桂敏		','	60456'],
        ['祝一龙		','	63296'],
        ['陈云峰-06170','9   61709'],
        ['罗建军		','	60265'],
        ['毛俊仙		','	63066'],
        ['熊丹		','	60412'],
        ['柴子峰		','	60165'],
        ['吴胜		','	60295'],
        ['金朝晖		','	60266'],
        ['余锡祥		','	60090'],
        ['曹斌		','	60062'],
        ['王枫		','	60169'],
        ['邱徐炜		','	60373'],
        ['胡建文		','	60301'],
        ['王骏		','	60434'],
        ['潘曦		','	60403'],
        ['邵彦杰		','	60526'],
        ['范凯		','	60532'],
        ['程威		','	60116'],
        ['程明磊		','	60483'],
        ['邱宏飞		','	60441'],
        ['王子岳		','	60457'],
        ['周越		','	60430'],
        ['夏雨康		','	61708'],
        ['方晓华		','	61905'],
        ['张翔		','	60423'],
        ['吴益虎		','	61780'],
        ['巫校旺		','	60425'],
        ['尹志军		','	60527'],
        ['周灵煊		','	60534'],
        ['蒋立波		','	60426'],
        ['楼国良		','	60369'],
        ['张向东		','	60168'],
        ['尹晓挺		','	60529']];
        foreach($arr as $val){
            $name=trim($val[0]);
            $pass=password_hash(trim($val[1]), PASSWORD_DEFAULT);
            $save_data=[
                'username'=>$name,
                'realname'=>$name,
                'password'=>$pass,
                'department_id'=>6,
                'status'=>1,
                'created_at'=>time(),
            ];
            $id=Db::table('users')->insertGetId($save_data);
            var_dump($id);
            $role_data=[
                'uid'=>$id,
                'role_id'=>11,
            ];
            Db::table('user_has_roles')->insert($role_data);
            echo $name.'-----'.$pass.PHP_EOL;
        }
    }
}